org.apache.xmlbeans

## Interface SchemaAttributeGroup

All Superinterfaces:
  SchemaAnnotated, SchemaComponent

All Known Implementing Classes:
  SchemaAttributeGroupImpl

    public interface SchemaAttributeGroup
    extends SchemaComponent, SchemaAnnotated

Represents an attribute group.

An attribute group is a syntactic construct, not a part of the logical model. For example, types declared within an attribute group become local to the type that uses the group - they're not local to the attribute group itself. Therefore in the logical model of a schema type system, an attribute group doesn't represent anything. Its contents are merged into the logical model at parse time.

See Also:
  `SchemaTypeLoader.findAttributeGroup(javax.xml.namespace.QName)`

### Nested Class Summary

Nested Classes
`static class` `SchemaAttributeGroup.Ref` Used to allow on-demand loading of attribute groups.

### Field Summary

### Fields inherited from interface org.apache.xmlbeans.SchemaComponent

`ANNOTATION, ATTRIBUTE, ATTRIBUTE_GROUP, ELEMENT, IDENTITY_CONSTRAINT, MODEL_GROUP, NOTATION, TYPE`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getComponentType()` Returns SchemaComponent.ATTRIBUTE_GROUP.
`QName` `getName()` The name of the model group.
`Object` `getUserData()` Returns user-specific information.

### Methods inherited from interface org.apache.xmlbeans.SchemaComponent

`getComponentRef, getSourceName, getTypeSystem`

### Methods inherited from interface org.apache.xmlbeans.SchemaAnnotated

`getAnnotation`

### Method Detail

#### getComponentType

    int getComponentType()

Returns SchemaComponent.ATTRIBUTE_GROUP.

Specified by:
  `getComponentType` in interface `SchemaComponent`

#### getName

    QName getName()

The name of the model group.

Specified by:
  `getName` in interface `SchemaComponent`

#### getUserData

    Object getUserData()

Returns user-specific information.

See Also:
  `SchemaBookmark`